> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Agent Webhook



## OpenAPI

````yaml POST /v1/agents/{agent_uuid}/test
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/agents/{agent_uuid}/test:
    post:
      tags:
        - agents
      summary: Test Agent Webhook
      operationId: test_agent_webhook_v1_agents__agent_uuid__test_post
      parameters:
        - name: agent_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_AgentTestResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_AgentTestResponse_:
      properties:
        data:
          $ref: '#/components/schemas/AgentTestResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[AgentTestResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentTestResponse:
      properties:
        delivered:
          type: boolean
          title: Delivered
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        duration_ms:
          type: integer
          title: Duration Ms
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - delivered
        - duration_ms
      title: AgentTestResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````